resource "random_string" "db_server_admin_password" {
  length = 32
  special = false
}

resource "azurerm_mariadb_server" "db_server" {
	name = var.db_server
	location = var.location
	resource_group_name = var.resource_group_name
	administrator_login = var.db_root_user
	administrator_login_password = random_string.db_server_admin_password.result
	version = "10.3"
	ssl_enforcement_enabled = false
	sku_name = "GP_Gen5_2"
	storage_mb = 51200
	backup_retention_days = 7
	geo_redundant_backup_enabled = false
	auto_grow_enabled = true
}

output "db_password" {
  value = random_string.db_server_admin_password.result
}